function Component()
{
    // start installer with -v to see debug output
    console.log("OS: " + systemInfo.productType);
    console.log("Kernel: " + systemInfo.kernelType + "/" + systemInfo.kernelVersion);

    //
    // Hide/select packages based on architecture
    //
    // Marking a component as "Virtual" will hide it in the UI.
    // Marking a component with "Default" will check it.
    //
    console.log("CPU Architecture: " +  systemInfo.currentCpuArchitecture);
    
    // Check if it it available to install Spidey on the current OS or not.
    // Available for Linux and Windows
    // Not available for macOS
    
    installer.componentByName("full.tools.spidey").setValue("Virtual", "false");
    installer.componentByName("full.tools.spidey").setValue("Default", "true");

    if (systemInfo.kernelType === "darwin") {
        installer.componentByName("full.tools.spidey").setValue("Virtual", "true");
        installer.componentByName("full.tools.spidey").setValue("Default", "false");
    }
}
